.dz-image img {
    height: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.dropzone .dz-preview .dz-image {
    z-index: 2 !important;
}

th.td_a {
    width: 40px;
}
th.td_i {
    width: 30px;
}
th.td_i3 {
    width: 60px;
}
.js--datatable td a.btn {
    padding: 3px;
}

/*Only on focus*/
/* input:focus{ color: #222; background: #97ABBE; border-color:#999;} */
/*Only on valid*/
/* input:valid{box-shadow: 0 0 2px rgb(157, 255, 157);} */

/*Only on focus and valid*/
/* input:valid:focus{ background: #ecf0ff; box-shadow: none;  } */
/*Only on invalid*/
/* input:invalid{box-shadow: 0 0 2px rgb(255, 153, 153);} */
/*Only on focus and invalid*/
/* input:invalid:focus{ background: #cb9089; box-shadow: none;} */
/*
.select2-selection {
    border-color: rgb(160, 190, 208) !important;
    border-radius: 7px !important;
}*/

.only_dt {
    display: block;
}

.only_dt_cell {
    display: table-cell;
}

.only_mb {
    display: none;
}

.edge {
    image-rendering: -moz-crisp-edges; /* Firefox */
    -ms-interpolation-mode: nearest-neighbor;  /* IE */
    image-rendering: crisp-edges; /* Стандартное свойство */
}

.poster_view img {
    margin: 0 auto;
    display: block;
}

#sidebarnav .hide-menu {
    white-space:nowrap;
}

@media (max-width: 600px) {
    .only_dt, .only_dt_cell {
        display: none;
    }

    .only_mb {
        display: block;
    }

    #main-wrapper {
        padding: 0;
    }
    .container-fluid {
        padding-left: 0;
        padding-right: 0;
    }
    
    .card-body {
        padding: 12px;
        padding-right: 12px !important;
        padding-left: 12px !important;
    }
    table.dataTable td {
        padding: 5px 5px;
    }
    .td_a {
        text-align: center;
    }
    .td_a img {
        margin: 0 auto 10px auto;
    }
    .card-header:first-child {
        border-radius: 0 !important;
    }
}

.td_a {
    text-wrap-mode: nowrap;
}

.am5 {
    height: 400px;
}
.mt-files-grid-dense {
    display: grid;
    grid-template-columns: auto;
    grid-auto-rows: 100px;
    grid-auto-flow: dense;
    width: 280px;
}
.mt-files-grid-dense .mt-files-image {
    cursor: pointer;
    overflow: hidden;
    border-radius: 0.42rem;
    margin: 5px;
}
.mt-files-grid-dense .mt-files-image .image {
    height: 100%;
    background-size: cover !important;
}

@media (max-width: 600px) {
    .card > .rounded-4 {
        border-radius: 0 !important;
    }
}


div.dataTables_wrapper div.dataTables_info {
    padding: 0 !important;
}

.card {
    box-shadow: none !important;
}


.exptt__capture_btns {
    display: flex;
    margin: 12px 0 0;
    gap: 12px;
    width: 100%;
    justify-content: center;
}

.material {
    border: 0px solid rgba(232, 232, 234, 0.45);
    width: 100%;
    background: #111;
    color: #fff;
    position: relative;
    margin: 0 0 16px;
}

.material__header {
    display: flex;
    padding: 12px 16px;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.material__title {
    flex-grow: 1;
    
}

.material__icon {
    transition: all .3s ease-out;
    display: flex;
}

.material__header.active .material__icon {
    transform: rotate(180deg);
}

.material__body {
    display: none;
    padding: 0px 16px 16px;
}

.material__desc {
    font-size: 12px;
    line-height: 18px;
    font-weight: 500;
}
.material__desc ol {
    margin-left: 24px;
}
.material__desc ol li:not(:nth-last-child) {
    margin-bottom: 4px;
}
.material__des ol:last-child, p:last-child, ul:last-child {
    margin-bottom: 0;
}
.material__desc ul {
    margin-left: 24px;
}
.material__desc ul li {
    position: relative;
    padding-left: 20px;
}

.material__desc ul li:before {
    content: ' ';
    display: block;
    border-radius: 50%;
    width: 6px;
    height: 6px;
    background: #fff;
    position: absolute;
    left: 0;
    top: 6px;
}
.material__desc ul li:not(:last-child) {
    margin-bottom: 4px;
}
.custom__desc {
    font-size: 16px;
    margin: 0 0 24px;
}
.custom__maps img {
    display: block;
    max-width: 100%;
    margin: 0 0 24px;
}

.eanketa .card {
    background: transparent !important;
}
.eanketa hr {
    margin: 0 0 4px !important;
}
.eanketa .card-body {
    padding: 0 0 4px !important;
    background: transparent !important;
}
.eanketa .card-body .card-title {
    color: var(--bs-primary);
}
.eanketa .pulse__crow {
    display: flex;
    width: 100%;
    gap: 8px;
    flex-direction: column;
}
.eanketa .pulse__crowitem {
    display: flex;
    width: 100%;
    gap: 8px;
    flex-direction: column;
}
.eanketa .pulse__crowitem .form-group {
    display: flex;
    width: 100%;
    gap: 8px;
}
.eanketa .pulse__crowitem .pulse__crowitem_title {
    margin: 0;
    opacity: .6;
    width: 30%;
    min-width: 30%;
}
.eanketa .pulse__crowitem .pulse__crowitem_title .text-danger {
    display: none;
}
.meetings__list {
    display: flex;
    gap: 4px;
    flex-direction: column;
    max-width: 500px;
}
.meetings__list_item {
    padding-left: 10px;
    padding-right: 10px;
}
.meetings__day_header {
    background: rgba(38, 38, 38, 1) !important;
    padding: 4px 8px;
    font-size: 18px;
    margin: 0 0 4px;
}
.meetings__slots {
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.meetings__slots_item {
    padding: 4px 4px 4px 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid rgba(38, 38, 38, 1);
}
@media screen and (max-width: 480px) {
    .eanketa .pulse__crowitem .pulse__crowitem_title {
        width: 42%;
        min-width: 42%;
    }
    .modal__anketa.modal-footer {
        flex-direction: column;
        gap: 4px;
    }
    .modal__anketa.modal-footer .btn {
        width: 100%;
    }
}

.eanketa__img {
    position: absolute;
    top: 0; 
    right: 16px;
}
.btn-sm-16 {
    font-size: 16px;
}
.markdown-image {
    max-width: 100%;
    height: auto;
}
.rounded-circle {
    object-fit: cover;
    aspect-ratio: 1 / 1;
}